Last modified: 2011-12-06 21:54:24 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 21966 - Normalisation of namespace on User contribs is too lenient
Normalisation of namespace on User contribs is too lenient
Status: NEW
Product: MediaWiki
Classification: Unclassified
API (Other open bugs)
unspecified
All All
: Normal trivial (vote)
: ---
Assigned To: Nobody - You can work on this!
http://en.wikipedia.org/w/api.php?act...
:
Depends on: 21991
Blocks:
  Show dependency treegraph
 
Reported: 2009-12-29 15:09 UTC by Sam Reed (reedy)
Modified: 2011-12-06 21:54 UTC (History)
6 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Sam Reed (reedy) 2009-12-29 15:09:50 UTC
The API gives results. If you do it on Special:Contributions, you don't

http://en.wikipedia.org/w/index.php?limit=100&tagfilter=&title=Special:Contributions&contribs=user&target=Template:WPB&namespace=&tagfilter=&year=&month=-1

Will have a look at poking it...
Comment 1 Sam Reed (reedy) 2009-12-29 15:16:02 UTC
http://en.wikipedia.org/w/api.php?action=query&format=xml&list=usercontribs&ucuser=Category:WPB&uclimit=max also gives the same result

The API is presumably stripping the namespace (which it should only be doing if the namespace IS User), and using that as a username
Comment 2 Sam Reed (reedy) 2009-12-29 15:20:31 UTC
Changing title accordingly
Comment 3 Sam Reed (reedy) 2010-01-01 23:28:09 UTC
It's the call to getCanonicalName (as i think was decided on IRC). It doesn't care what it get, it just returns after the :

IW's give the same.

So it's just some validation on the page title to make sure there is No NS (technically NS_MAIN), or else its NS_USER


Trying to find similar behaviour elsewhere.. Doesn't seem to exist.

Some modules seem to take it as is, and return naff all, others errors and say it can't find the page...
Comment 4 Sam Reed (reedy) 2010-01-01 23:42:10 UTC
b21991 being "fixed" will resolve this (as the fix doesn't matter too much, as long as it's common with the rest of the API)
Comment 5 MZMcBride 2010-01-30 23:31:45 UTC
(In reply to comment #4)
> b21991 being "fixed" will resolve this (as the fix doesn't matter too much, as
> long as it's common with the rest of the API)
Bug 21991. I wonder if we should support bXXXX syntax.
Comment 6 Dan Collins 2011-07-09 02:09:52 UTC
The problem here appears to be that when you ask what a category has contributed via the API, that you get results. This is still true, but it looks like bug 21991 (mentioned above) seeks to find a single common and correct way to normalize a username, which would convert User:Foo to Foo but Template:Foo to Template:Foo, I presume. If so, this bug appears to depend on bug 21991, or is a duplicate of that bug?

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links